Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IKeyBindingService

All Known Subinterfaces:
  INestableKeyBindingService

public interface IKeyBindingService

The key binding service allows one to query or set the scope of Eclipse for the purposes of resolving key assignments to commands, and to register actions to handle specific commands. See the `org.eclipse.ui.commands` extension point for details.

A participating workbench part is responsible to register all its actions with this service. The part is also responsible to set the current scope.

This interface is not intended to be implemented or extended by clients.

Since:
  2.0

Method Summary
`String[]` | `getScopes()` Returns the active accelerator scope ids.
`void` | `registerAction(IAction action)` Registers an action with the key binding service.
`void` | `setScopes(String[] scopes)` Sets the active accelerator scope ids.
`void` | `unregisterAction(IAction action)` Unregisters an action with the key binding service.

Method Detail

### getScopes

    public String[] getScopes()

  Returns the active accelerator scope ids.

  Returns:
    the active accelerator scope ids.

### registerAction

    public void registerAction(IAction action)

  Registers an action with the key binding service.

  Parameters:
    `action` - the action to be registered with the key binding service.

### setScopes

    public void setScopes(String[] scopes)

  Sets the active accelerator scope ids.

  Parameters:
    `scopes` - the active accelerator scope ids.

### unregisterAction

    public void unregisterAction(IAction action)

  Unregisters an action with the key binding service.

  Parameters:
    `action` - the action to be unregistered with the key binding service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.